cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/orders/ORD-0001/payments/PAY-0001" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.orders.get_order_payment("ORD-0001", "PAY-0001")
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.orders.getOrderPayment('ORD-0001', 'PAY-0001');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->orders->getOrderPayment('ORD-0001', 'PAY-0001');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.orders.orders_dto.OrdersDto.OrderPayment;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<OrderPayment> response = client.orders().getOrderPayment("ORD-0001", "PAY-0001");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Orders.GetOrderPaymentAsync("ORD-0001", "PAY-0001");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.orders.getOrderPayment('ORD-0001', 'PAY-0001');
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Orders().GetOrderPayment(context.Background(), "ORD-0001", "PAY-0001", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"payment": {
"account": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"credit_applied": "<array>",
"custom_attributes": "<array>",
"gift_certificate_applied": "<array>",
"id": "<string>",
"invoices": [
{
"applied": "<string>",
"due_date": "<string>",
"id": "<string>",
"issue_date": "<string>",
"outstanding": "<string>",
"total": "<string>"
}
],
"last_updated_by": "<unknown>",
"last_updated_on": "<unknown>",
"object": "<string>",
"origin": "<unknown>",
"payment_applied": [
{
"amount": "<string>",
"gateway_response": "<unknown>",
"method": "<string>",
"processor": "<string>",
"reference": "<string>"
}
],
"payment_note": "<string>",
"reconcile_status": "<string>",
"status": "<string>",
"version": 123
}
}Orders
Retrieve an order payment
Returns one payment, under payment.
GET
/
orders
/
{order_id}
/
payments
/
{payment_id}
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/orders/ORD-0001/payments/PAY-0001" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.orders.get_order_payment("ORD-0001", "PAY-0001")
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.orders.getOrderPayment('ORD-0001', 'PAY-0001');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->orders->getOrderPayment('ORD-0001', 'PAY-0001');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.orders.orders_dto.OrdersDto.OrderPayment;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<OrderPayment> response = client.orders().getOrderPayment("ORD-0001", "PAY-0001");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Orders.GetOrderPaymentAsync("ORD-0001", "PAY-0001");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.orders.getOrderPayment('ORD-0001', 'PAY-0001');
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Orders().GetOrderPayment(context.Background(), "ORD-0001", "PAY-0001", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"payment": {
"account": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"credit_applied": "<array>",
"custom_attributes": "<array>",
"gift_certificate_applied": "<array>",
"id": "<string>",
"invoices": [
{
"applied": "<string>",
"due_date": "<string>",
"id": "<string>",
"issue_date": "<string>",
"outstanding": "<string>",
"total": "<string>"
}
],
"last_updated_by": "<unknown>",
"last_updated_on": "<unknown>",
"object": "<string>",
"origin": "<unknown>",
"payment_applied": [
{
"amount": "<string>",
"gateway_response": "<unknown>",
"method": "<string>",
"processor": "<string>",
"reference": "<string>"
}
],
"payment_note": "<string>",
"reconcile_status": "<string>",
"status": "<string>",
"version": 123
}
}Pass an order’s
id and the payment’s id. The payment is read by its own id, without checking that it belongs to the order.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The order's id, as GET /orders lists it.
The payment's id.
Response
200 - application/json
The payment, under payment.
Show child attributes
Show child attributes